echo ""
clear
echo "******************** Welcome to the MovieTool Setup Script *******************"
echo ""
echo "This script creates/updates a user cetable with icons & data types"
echo "used by MovieTool."
echo ""
echo "These icons & data types are defined in the Parallax release files"
echo "\$MOVIETOOLHOME/cefile.ascii & \$MOVIETOOLHOME/plx.types.model."
if test -z "$PARALLAX_HOME"  ; then
	echo ""
	echo "\$PARALLAX_HOME is not set."
	echo "ABORT."
	exit
fi
if test -d $PARALLAX_HOME ; then
	echo ""
else
	echo ""
	echo $PARALLAX_HOME does not exist...
	echo "ABORT."
	exit
fi
if test -z "$OPENWINHOME"  ; then
	echo ""
	echo "\$OPENWINHOME is not set."
	echo "ABORT."
	exit
fi
if test -d $OPENWINHOME ; then
	echo ""
else
	echo ""
	echo $OPENWINHOME does not exist ...
	echo "ABORT."
	exit
fi

ce_db_merge=$OPENWINHOME/bin/ce_db_merge
ce_db_build=$OPENWINHOME/bin/ce_db_build
tt_type_comp=$OPENWINHOME/bin/tt_type_comp
 
if test -z "$MOVIETOOLHOME"  ; then
	echo ""
	echo "\$MOVIETOOLHOME is not set."
	echo "ABORT."
	exit
fi
if test -z "$CEPATH"  ; then
	echo ""
	echo "\$CEPATH is not set."
	echo "ABORT."
	exit
fi
cefile_ascii=$MOVIETOOLHOME/cefile.ascii
if test -f $cefile_ascii ; then
	echo ""
else
	echo ""
	echo "$cefile_ascii does not exist"
	echo "ABORT."
	exit
fi
if test -f $MOVIETOOLHOME/plx.types.model; then
	echo ""
else
	echo ""
	echo "$MOVIETOOLHOME/plx.types.model does not exist"
	echo "ABORT."
	exit
fi
cetabledir=$HOME/.cetables
if test -d $cetabledir ; then
		echo ""
	else
		echo ""
		echo "Creating a user cetables in $HOME/.cetables . . ."
		mkdir $cetabledir 
		if test -d $cetabledir ; then
			echo ""
		else
			echo ""
			echo "Could not create $cetabledir . . ."
			exit
		fi
	fi
	if test -f $cetabledir/cetables ; then
		echo ""
		$ce_db_merge user -from_ascii $cefile_ascii > /dev/null 2>&1
		
	else	
		echo ""
		$ce_db_build user -from_ascii $cefile_ascii -db_file $cetabledir/cetables > /dev/null 2>&1
	fi
	echo ""
	$tt_type_comp $MOVIETOOLHOME/plx.types.model > /dev/null 2>&1

echo ""
echo "******************** Your MovieTool Setup is now complete! *********************"
